pcl::io::ply::ply_parser::scalar_property_definition_callback_type< ScalarType > Struct Template Reference

`#include <pcl/io/ply/ply_parser.h>`

## Public Types

using | scalar_property_callback_type = typename scalar_property_callback_type< ScalarType >::type
using | type = std::function< scalar_property_callback_type(const std::string &, const std::string &)>

## Detailed Description

### template<typename ScalarType>
struct pcl::io::ply::ply_parser::scalar_property_definition_callback_type< ScalarType >

Definition at line 103 of file ply_parser.h.

## Member Typedef Documentation

## scalar_property_callback_type

template<typename ScalarType>

using pcl::io::ply::ply_parser::scalar_property_definition_callback_type< ScalarType >::scalar_property_callback_type = typename scalar_property_callback_type<ScalarType>::type

Definition at line 105 of file ply_parser.h.

## type

template<typename ScalarType>

using pcl::io::ply::ply_parser::scalar_property_definition_callback_type< ScalarType >::type = std::function<scalar_property_callback_type (const std::string&, const std::string&)>

Definition at line 106 of file ply_parser.h.

The documentation for this struct was generated from the following file:

- pcl/io/ply/ply_parser.h